Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.management.configuration
Interface JMSDestinationKeyMBean

public interface JMSDestinationKeyMBean
extends ConfigurationMBean, JMSConstants

This class represents a key value for a destination, which is used to define the sort order of messages as they arrive on a destination.

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.

Field Summary
`static long` | `CACHING_STUB_SVUID`

Fields inherited from class weblogic.management.configuration.ConfigurationMBean
`CACHING_STUB_SVUID, DEFAULT_EMPTY_BYTE_ARRAY`

Fields inherited from class weblogic.management.configuration.JMSConstants
`ACKNOWLEDGE_ALL, ACKNOWLEDGE_MODE_AUTO, ACKNOWLEDGE_MODE_CLIENT, ACKNOWLEDGE_MODE_DUPS_OK, ACKNOWLEDGE_MODE_NONE, ACKNOWLEDGE_ONE, ACKNOWLEDGE_PREVIOUS, DESTINATION_TYPE_QUEUE, DESTINATION_TYPE_TOPIC, DISCARD, ENABLED_DEFAULT, ENABLED_FALSE, ENABLED_TRUE, ERRORDESTINATION, FIFO, KEEP_NEW, KEEP_OLD, KEY_DIRECTION_ASCENDING, KEY_DIRECTION_DESCENDING, KEY_TYPE_BOOLEAN, KEY_TYPE_BYTE, KEY_TYPE_DOUBLE, KEY_TYPE_FLOAT, KEY_TYPE_INT, KEY_TYPE_LONG, KEY_TYPE_SHORT, KEY_TYPE_STRING, LOGGING, NO_DELIVERY, NON_PERSISTENT, PERSISTENT, PREEMPTIVE, PRIORITY_DEFAULT, PRIORITY_MAXIMUM, PRIORITY_MINIMUM, RANDOM, ROUND_ROBIN, SEND_QUOTA_BLOCKING_TIMEOUT, STORE_ENABLED_DEFAULT, STORE_ENABLED_FALSE, STORE_ENABLED_TRUE, STORE_TYPE_FILE, STORE_TYPE_JDBC, SYNCWRITE_CACHEFLUSH, SYNCWRITE_DIRECTWRITE, SYNCWRITE_DISABLED, TRANSACTION_MODE_51, TRANSACTION_MODE_NONE, TRANSACTION_MODE_XA`

Method Summary
`java.lang.String` | `getDirection()` The direction (Ascending or Descending) in which this key will sort messages.
`java.lang.String` | `getKeyType()` The expected property type for this destination key.
`java.lang.String` | `getProperty()` Specifies a message property name or the name of a message header field on which to sort messages.
`void` | `setDirection(java.lang.String direction)` The direction (Ascending or Descending) in which this key will sort messages.
`void` | `setKeyType(java.lang.String type)` The expected property type for this destination key.
`void` | `setProperty(java.lang.String property)` Specifies a message property name or the name of a message header field on which to sort messages.

Methods inherited from interface weblogic.management.configuration.ConfigurationMBean
`freezeCurrentValue, getNotes, restoreDefaultValue, setComments, setDefaultedMBean, setNotes, setPersistenceEnabled`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Field Detail

### CACHING_STUB_SVUID

    public static final long CACHING_STUB_SVUID

Method Detail

### getProperty

    public java.lang.String getProperty()

  Specifies a message property name or the name of a message header field on which to sort messages. Message header field keys ignore the key type and reference message header fields rather than message properties.

  Note: For better performance, use message header fields as sorting keys, rather than message properties.

  Range of Values:

  The JMS Property name (including user properties) or message header fields that can be sorted on are:

  - JMSMessageID
  - JMSTimestamp
  - JMSCorrelationID
  - JMSPriority
  - JMSExpiration
  - JMSType
  - JMSRedelivered
  - JMSDeliveryTime

  This attribute is not dynamically configurable.

  Returns:
    The property value

### setProperty

    public void setProperty(java.lang.String property)
                     throws javax.management.InvalidAttributeValueException

  Specifies a message property name or the name of a message header field on which to sort messages. Message header field keys ignore the key type and reference message header fields rather than message properties.

  Note: For better performance, use message header fields as sorting keys, rather than message properties.

  Range of Values:

  The JMS Property name (including user properties) or message header fields that can be sorted on are:

  - JMSMessageID
  - JMSTimestamp
  - JMSCorrelationID
  - JMSPriority
  - JMSExpiration
  - JMSType
  - JMSRedelivered
  - JMSDeliveryTime

  This attribute is not dynamically configurable.

  Legal Value: value != void && value.trim().length() != 0
  Legal NULL: false
  Legal Values: "JMSMessageID","JMSTimestamp","JMSCorrelationID","JMSPriority","JMSExpiration","JMSType","JMSRedelivered","JMSDeliveryTime"
  Parameters:
    `property` - The new property value
  Throws:
    javax.management.InvalidAttributeValueException -

### getKeyType

    public java.lang.String getKeyType()

  The expected property type for this destination key.

  Returns:
    The keyType value

### setKeyType

    public void setKeyType(java.lang.String type)
                    throws javax.management.InvalidAttributeValueException

  The expected property type for this destination key.

  Default Value: JMSConstants.KEY_TYPE_STRING
  Legal Values: JMSConstants.KEY_TYPE_BOOLEAN,JMSConstants.KEY_TYPE_BYTE,JMSConstants.KEY_TYPE_SHORT,JMSConstants.KEY_TYPE_INT,JMSConstants.KEY_TYPE_LONG,JMSConstants.KEY_TYPE_FLOAT,JMSConstants.KEY_TYPE_DOUBLE,JMSConstants.KEY_TYPE_STRING
  Parameters:
    `type` - The new keyType value
  Throws:
    javax.management.InvalidAttributeValueException -

### getDirection

    public java.lang.String getDirection()

  The direction (Ascending or Descending) in which this key will sort messages.

  Selecting the Ascending option for the JMSMessageID property implies a FIFO (first in, first out) sort order (the default for destinations). Select the Descending option for a LIFO (last in, first out) sort order.

  This attribute is not dynamically configurable.

  Returns:
    The direction value

### setDirection

    public void setDirection(java.lang.String direction)
                      throws javax.management.InvalidAttributeValueException

  The direction (Ascending or Descending) in which this key will sort messages.

  Selecting the Ascending option for the JMSMessageID property implies a FIFO (first in, first out) sort order (the default for destinations). Select the Descending option for a LIFO (last in, first out) sort order.

  This attribute is not dynamically configurable.

  Default Value: JMSConstants.KEY_DIRECTION_ASCENDING
  Legal Values: JMSConstants.KEY_DIRECTION_ASCENDING,JMSConstants.KEY_DIRECTION_DESCENDING
  Parameters:
    `direction` - The new direction value
  Throws:
    javax.management.InvalidAttributeValueException -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD